<template>
  <app-link class="text-dark text-decoration-none" :to="createLinkedDataURL(format, datasetId)" target="_blank" >
    <button class="btn btn-block text-left">{{ text }}</button>
  </app-link>
</template>

<script>
  // Import components used in template
  import AppLink from './AppLink';
  // Import glue-config.js

  export default {
    name: 'EDP2-datasetDetailsLinkedDataButton',
    components: {
      appLink: AppLink,
    },
    data() {
      return {};
    },
    props: {
      format: {
        type: String,
        default: '',
        required: true,
      },
      text: {
        type: String,
        default: '',
        required: true,
      },
      datasetId: {
        type: String,
        required: true,
      },
    },
    computed: {},
    methods: {
      createLinkedDataURL(format, datasetId) {
        return `${this.$env.api.hubUrl}datasets/${datasetId}.${format}?useNormalizedId=true&locale=${this.$route.query.locale}`;
      },
    },
  };
</script>

<style lang="scss" scoped>
</style>
